petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESGetForceIteration

Whether or not to force SNESSolve() take at least one iteration regardless of the initial residual norm

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetForceIteration(SNES snes,PetscBool *force)

Logically Collective on SNES

### Input Parameters

snes -the SNES context

### Output Parameter

force -PETSC_TRUE requires at least one iteration.

### Keywords

SNES, nonlinear, set, convergence, tolerances

### See Also

SNESSetForceIteration(), SNESSetTrustRegionTolerance(), SNESSetDivergenceTolerance()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages